com.sun.messaging.jms

## Class InvalidSelectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.InvalidSelectorException
        - - com.sun.messaging.jms.InvalidSelectorException

All Implemented Interfaces:
  com.sun.messaging.jmq.jmsclient.logging.Loggable, Serializable

    public class InvalidSelectorException
    extends InvalidSelectorException
    implements com.sun.messaging.jmq.jmsclient.logging.Loggable

This exception must be thrown when a JMS client attempts to give a provider a message selector with invalid syntax.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidSelectorException(String reason)` Constructs a `InvalidSelectorException` with the specified reason and with the error code defaulting to null.
`InvalidSelectorException(String reason, String errorCode)` Constructs a `InvalidSelectorException` with the specified reason and error code.
`InvalidSelectorException(String reason, String errorCode, Throwable cause)` Constructs a `InvalidSelectorException` with the specified reason, error code, and a specified cause.

### Method Summary

Methods
`boolean` `getLogState()` get logging state of this object.
`void` `printStackTrace()` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `InvalidSelectorException` and obtained via `javax.jms.JMSException.getLinkedException()`
`void` `printStackTrace(PrintStream s)`
`void` `printStackTrace(PrintWriter s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `InvalidSelectorException` and obtained via `JMSException.getLinkedException()`
`void` `setLinkedException(Exception ex)` If running under J2SE1.4 or above, this method will also set the cause of the `InvalidSelectorException`.
`void` `setLogState(boolean state)` set state to true if this object is logged.

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidSelectorException

    public InvalidSelectorException(String reason,
                            String errorCode)

Constructs a `InvalidSelectorException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

#### InvalidSelectorException

    public InvalidSelectorException(String reason)

Constructs a `InvalidSelectorException` with the specified reason and with the error code defaulting to null.

Parameters:
  `reason` - a description of the exception

#### InvalidSelectorException

    public InvalidSelectorException(String reason,
                            String errorCode,
                            Throwable cause)

Constructs a `InvalidSelectorException` with the specified reason, error code, and a specified cause.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code
  `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

### Method Detail

#### setLinkedException

    public void setLinkedException(Exception ex)

If running under J2SE1.4 or above, this method will also set the cause of the `InvalidSelectorException`. When a backtrace of the `InvalidSelectorException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

Overrides:
  `setLinkedException` in class `JMSException`
Parameters:
  `ex` - the linked `Exception`

#### printStackTrace

    public void printStackTrace()

If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `InvalidSelectorException` and obtained via `javax.jms.JMSException.getLinkedException()`

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintStream s)

If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `InvalidSelectorException` and obtained via `javax.jms.JMSException.getLinkedException()`

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintWriter s)

If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `InvalidSelectorException` and obtained via `JMSException.getLinkedException()`

Overrides:
  `printStackTrace` in class `Throwable`

#### setLogState

    public void setLogState(boolean state)

set state to true if this object is logged.

Specified by:
  `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
Parameters:
  `state` - boolean

#### getLogState

    public boolean getLogState()

get logging state of this object.

Specified by:
  `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
Returns:
  boolean true if this object is logged.